Skip to main content
PATCH
/
bundles
/
{id}
/
stages
/
{stageID}
Update bundle stage by ID
curl --request PATCH \
  --url https://api.example.com/bundles/{id}/stages/{stageID} \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "assignedAt": "<string>",
  "assignee": {
    "id": "<string>",
    "name": "<string>"
  },
  "bundleId": "<string>",
  "stage": {
    "approvals": [
      {
        "approvers": [
          {
            "editable": true,
            "id": "<string>",
            "name": "<string>",
            "showByDefault": true,
            "fromOrganizationUserId": "<string>",
            "isOrganizationUser": true
          }
        ],
        "evidence": {
          "artifacts": [
            {
              "details": {},
              "id": "<string>",
              "required": true,
              "visibilityRule": "<string>",
              "visible": true
            }
          ],
          "createdAt": "<string>",
          "description": "<string>",
          "externalId": "<string>",
          "id": "<string>",
          "name": "<string>",
          "policyId": "<string>",
          "policyVersionId": "<string>",
          "visible": true
        },
        "id": "<string>",
        "name": "<string>",
        "required": true
      }
    ],
    "evidenceSet": [
      {
        "artifacts": [
          {
            "details": {},
            "id": "<string>",
            "required": true,
            "visibilityRule": "<string>",
            "visible": true
          }
        ],
        "createdAt": "<string>",
        "description": "<string>",
        "externalId": "<string>",
        "id": "<string>",
        "name": "<string>",
        "policyId": "<string>",
        "policyVersionId": "<string>",
        "visible": true
      }
    ],
    "id": "<string>",
    "name": "<string>",
    "policyVersionId": "<string>"
  },
  "stageId": "<string>"
}

Path Parameters

id
string
required

ID of bundle to update

stageID
string
required

ID of stage to update

Body

application/json

Bundle stage to update

assignee
object

Response

OK

assignedAt
string
assignee
object
bundleId
string
stage
object
stageId
string